/*
 * ULS_Support.h
 *
 *  Created on: Mar 26, 2015
 *      Author: Jim Lacenski.
 *      Not for commercial use
 */

#ifndef ULS_SUPPORT_H_
#define ULS_SUPPORT_H_

#define DCHIGH 33
#define DCLOW  5     // do not reduce below 5 or latch-up can occur
#define MaxDuration		21600		// sets duration before timeout occurs



unsigned int DutyCycle, DurationCount;
unsigned char UpDown, DCONOFF, DarkLight, Toggle, PWMOnOff, LoadOnOff;

void InitPorts();
void InitTimers();
void PWMControl(unsigned char);

/*
 *   truth table definitions
 *
 *   DCONOFF     DARKLIGHT    TOGGLE    Timeout    |     PWM      Load     Timeout
 *      1 (ON)    0 (Light)     0         d/c      |     off      off        =0
 *      1         1 (Dark)     d/c        d/c      |     off      on         =0
 *      1         0             1         d/c      |     off      on         =0
 *      0         1 (Dark)     d/c     < timeout   |     on       on      increment
 *      0         0 (Light)    d/c        d/c      |     off      off        =0
 *      0           d/c        d/c       maximum   |     off      off        n/a
 */


#endif /* ULS_SUPPORT_H_ */
